import { ToastQueue } from './toast-queue.js';
import { InternalToastOptions } from './types.js';
import 'react';
import 'react-transition-preset';

declare class Renderer {
    private containerID;
    private container;
    private queue;
    constructor(queue: ToastQueue);
    createContainer(): void;
    render(toasts: InternalToastOptions[]): void;
}

export { Renderer };
